open Logarion
type t = {
	id: string; dir: string;
	kv: string Store.KV.t;
	topic_roots: string list;
	topics: (String_set.t * String_set.t) Topic_set.Map.t;
	texts: Text.t list
}

type fn_t = {
	ext: string;
	page: t -> Logarion.Text.t -> string;
	indices: t -> unit;
}
